/* eslint-disable @typescript-eslint/no-var-requires */
const CopyPlugin = require('copy-webpack-plugin');

module.exports = {
	module: {
		rules: [
			{
				test: /\.tsx?$/,
				use: 'ts-loader',
				exclude: /node_modules/,
			},
			{
				test: /\.css$/,
				use: [{ loader: 'style-loader' }, { loader: 'css-loader' }],
			},
			{
				test: /\.(woff|woff2|eot|ttf|otf)$/,
				use: 'file-loader',
			},
			{
				test: /\.(vs|fs)$/,
				use: 'raw-loader',
			},
		],
	},
	plugins: [new CopyPlugin([{ from: 'static' }])],
	resolve: {
		extensions: ['.ts', '.js', '.tsx', '.jsx'],
	},
};
